OuiPay
API ReferenceAuthentication

Authentication

How every endpoint authenticates : bearer keys, headers, and scopes.

All endpoints authenticate the same way:

Authorization: Bearer <secret_key>
Key prefixEnvironmentUse
sk_test_SandboxFull API, simulated providers
sk_live_LiveFull API, real money

Required headers per request type

HeaderWhenPurpose
AuthorizationEvery requestBearer secret key
Idempotency-KeyAll money-moving POSTsReplay-safe mutations
Content-TypeAny request with a JSON bodyapplication/json

Code Example

curl https://api.ouipay.com/v1/customers \
  -H "Authorization: Bearer sk_test_..."

Errors

HTTPerror.codeCause
401UNAUTHENTICATEDMissing, malformed, or revoked key
403FORBIDDENValid key, disallowed scope or IP

See Getting started → Authentication for rotation and IP allowlisting.

On this page